# DockerTag

DockerTag is a small go lib design to help parsing docker images tags.

See [example](_example/main.go)

# Usage
```go
import dt "gitlab.bertha.cloud/partitio/lab/dockertag"
```

#### type Tag

```go
type Tag string
```


#### func (Tag) Contains

```go
func (t Tag) Contains(s string) bool
```

#### func (Tag) HasSuffix

```go
func (t Tag) HasSuffix() bool
```

#### func (Tag) IsBeta

```go
func (t Tag) IsBeta() bool
```

#### func (Tag) IsRC

```go
func (t Tag) IsRC() bool
```

#### func (Tag) String

```go
func (t Tag) String() string
```

#### func (Tag) Suffix

```go
func (t Tag) Suffix() string
```

#### func (Tag) Version

```go
func (t Tag) Version() *Version
```

#### type Tags

```go
type Tags []Tag
```


#### func  MakeTags

```go
func MakeTags(s ...string) Tags
```

#### func (Tags) Filter

```go
func (t Tags) Filter(fn func(Tag) bool) Tags
```

#### type Version

```go
type Version struct {
}
```


#### func  NewVersion

```go
func NewVersion(s string) *Version
```

#### func (*Version) IsSemver

```go
func (v *Version) IsSemver() bool
```

#### func (Version) Major

```go
func (v Version) Major() int
```

#### func (Version) Minor

```go
func (v Version) Minor() int
```

#### func (Version) Patch

```go
func (v Version) Patch() int
```

#### func (Version) String

```go
func (v Version) String() string
```

#### func (*Version) Sup

```go
func (v *Version) Sup(o *Version) (out *bool)
```

#### type Versions

```go
type Versions []*Version
```


#### func  MakeVersions

```go
func MakeVersions(ss ...string) Versions
```

#### func (Versions) Contains

```go
func (v Versions) Contains(o *Version) bool
```

#### func (Versions) Filter

```go
func (v Versions) Filter(fn func(Version) bool) Versions
```

#### func (Versions) Len

```go
func (v Versions) Len() int
```

#### func (Versions) Less

```go
func (v Versions) Less(i, j int) bool
```

#### func (Versions) Swap

```go
func (v Versions) Swap(i, j int)
```
