package dockertag

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestVersionString(t *testing.T) {
	assert.Equal(t, "1.0.0", NewVersion("1").String())
	assert.Equal(t, "prod", NewVersion("prod").String())
}

func TestVersionSup(t *testing.T) {
	assert.False(t, *NewVersion("1").Sup(NewVersion("1.3.0")))
	assert.False(t, *NewVersion("1.0.0").Sup(NewVersion("1.3.0")))
	assert.False(t, *NewVersion("1.3.0").Sup(NewVersion("1.3.1")))
	assert.Nil(t, NewVersion("1.0.0").Sup(NewVersion("1.0.0")))
	assert.Nil(t, NewVersion("1.3").Sup(NewVersion("1.3.0")))
	assert.Nil(t, NewVersion("prod").Sup(NewVersion("1.3.0")))
}

func TestVersionSemver(t *testing.T) {
	assert.False(t, NewVersion("v1").IsSemver())
	assert.True(t, NewVersion("1").IsSemver())
	assert.True(t, NewVersion("0.1").IsSemver())
	assert.True(t, NewVersion("0.1.24").IsSemver())
	assert.False(t, NewVersion("0.1.24.2").IsSemver())
	assert.False(t, NewVersion("test-1.2.3").IsSemver())
}
